
/* Home page */

#announcements_container {
	width: 100%;
	overflow-x: auto;
}

.timeclock-container {
	margin-bottom: 20px;
	padding: 8px;
	background-color: #e0f2ff;
	outline: solid 1px #c9dced;
	background-image: url('../../images/clock.svg');
	background-size: 300px auto;
	background-repeat: no-repeat;
	background-position: 125% -20%;
}

.timeclock-container.hidden {
    display: none;
}

.timeclock-container.today-done {
	background-color: #d9edf7;
	outline: solid 1px #bce8f1;
}

.timeclock-container.exception,
.timeclock-container.expected-in.geo-insufficient,
.timeclock-container.expected-out.geo-insufficient,
.timeclock-container.expected-in.geo-denied,
.timeclock-container.expected-out.geo-denied {
	background-color: #f2dede;
	outline: solid 1px #cf2f0e;
}

.timeclock-container.expected-in.geo-low,
.timeclock-container.expected-out.geo-low,
.timeclock-container.expected-in.geo-help,
.timeclock-container.expected-out.geo-help {
	background-color: #fcf8e3;
	outline: solid 1px #8a6d3b;
}

.timeclock-container > h3 {
	display: inline-block;
}

.timeclock-container > .logging-out {
	display: none;
}

.timeclock-container.logging-out > .logging-out {
	display: block;
}

.timeclock-time,
.timeclock-container > .clock-button {
	display: none;
}

.timeclock-container.expected-in > .timeclock-time,
.timeclock-container.expected-out > .timeclock-time,
.timeclock-container.expected-in > .clock-button,
.timeclock-container.expected-out > .clock-button {
	display: block;
}

.timeclock-container > .stub-button {
	display: block;
}

.timeclock-container.expected-in > .stub-button,
.timeclock-container.expected-out > .stub-button,
.timeclock-container.exception > .stub-button {
	display: none;
}

.timeclock-container span.clock-in,
.timeclock-container span.clock-out,
.timeclock-container span.clock-done,
.timeclock-container span.exception,
.timeclock-container span.site,
.timeclock-container span.loading {
	display: none;
}

.timeclock-container.expected-in span.clock-in,
.timeclock-container.expected-out span.clock-out,
.timeclock-container.today-done span.clock-done,
.timeclock-container.exception span.exception,
.timeclock-container.site span.site,
.timeclock-container.loading span.loading {
	display: inline;
}


.timeclock-container > .geo-none > .fa-wrap i:before,
.timeclock-container > .geo-help > .fa-wrap i:before,
.timeclock-container > .geo-denied > .fa-wrap i:before,
.timeclock-container > .geo-site > .fa-wrap i:before,
.timeclock-container > .geo-common > .fa-wrap i:before {
	font-size: 24px;
}

.timeclock-container > .geo-loading,
.timeclock-container > .geo-help,
.timeclock-container > .geo-denied,
.timeclock-container > .geo-site,
.timeclock-container > .geo-common {
	display: none;
}

.timeclock-container.geo-loading.expected-in > .geo-loading,
.timeclock-container.expected-in.geo-help > .geo-help,
.timeclock-container.expected-in.geo-denied > .geo-denied,
.timeclock-container.expected-in.geo-site > .geo-site,
.timeclock-container.expected-in.geo-ok > .geo-common,
.timeclock-container.expected-in.geo-low > .geo-common,
.timeclock-container.expected-in.geo-insufficient > .geo-common,
.timeclock-container.expected-out.geo-loading > .geo-loading,
.timeclock-container.expected-out.geo-help > .geo-help,
.timeclock-container.expected-out.geo-denied > .geo-denied,
.timeclock-container.expected-out.geo-site > .geo-site,
.timeclock-container.expected-out.geo-ok > .geo-common,
.timeclock-container.expected-out.geo-low > .geo-common,
.timeclock-container.expected-out.geo-insufficient > .geo-common {
	display: block;
}

.timeclock-container.expected-in.geo-ok.geo-site > .geo-common,
.timeclock-container.expected-out.geo-ok.geo-site > .geo-common,
.timeclock-container.expected-in.geo-low.geo-site > .geo-common,
.timeclock-container.expected-out.geo-low.geo-site > .geo-common,
.timeclock-container.expected-in.geo-insufficient.geo-site > .geo-common,
.timeclock-container.expected-out.geo-insufficient.geo-site > .geo-common {
	display: none;
}

.timeclock-container .accuracy-ok,
.timeclock-container .accuracy-low,
.timeclock-container .accuracy-insufficient {
	display: none;
}

.timeclock-container.geo-ok .accuracy-ok,
.timeclock-container.geo-low .accuracy-low,
.timeclock-container.geo-insufficient .accuracy-insufficient {
	display: inline;
}

.timeclock-container.geo-ok .accuracy-help {
	display: none;
}

.timeclock-container.geo-ok > .geo-common, .timeclock-container.geo-ok.geo-site > .geo-site {
	color: #337ab7;
}

.timeclock-container.geo-low > .geo-common, .timeclock-container.geo-low.geo-site > .geo-site {
	color: #8a6d3b;
}

.timeclock-container.geo-insufficient > .geo-common, .timeclock-container.geo-insufficient.geo-site > .geo-site {
	color: #cf2f0e;
}

.timeclock-container .offsite-text, .timeclock-container .rejected-geo {
	display: none;
}

.timeclock-container.geo-offsite .offsite-text {
	display: block;
	color: #cf2f0e;
}

.timeclock-container.rejected-pin .rejected-geo {
	display: inline;
	color: #cf2f0e;
}

.timeclock-container.rejected-pin > .clock-button,
.timeclock-container.rejected-accuracy > .clock-button {
	display: none;
}

.timeclock-container.rejected-pin > .stub-button,
.timeclock-container.rejected-accuracy > .stub-button {
	display: block;
}

.timeclock-container .rejected-low-text,
.timeclock-container .rejected-insufficient-text,
.timeclock-container.expected-in .clock-default,
.timeclock-container.expected-out .clock-default  {
	display: none;
}

.timeclock-container.rejected-accuracy .rejected-low-text,
.timeclock-container.rejected-accuracy .rejected-insufficient-text {
	display: inline;
}

.timeclock-container.rejected-accuracy.geo-insufficient .accuracy-insufficient,
.timeclock-container.rejected-accuracy.geo-low .accuracy-low {
	line-height: 18px;
	display: block;
}

.timeclock-container.geo-low .accuracy-help,
.timeclock-container.geo-insufficient .accuracy-help {
	display: block;
}

.timeclock-container .select2-container--default .select2-selection--single {
	background-color: rgba(255,255,255,.8);
}

.homepage-note {
	background-color: #fcf8e3;
	outline: solid 1px #e2cfbe;
	margin-bottom: 10px;
}
.homepage-note-ok {
	color: #3c763d;
	background-color: #e6f2e6;
	outline: solid 1px #3c763d;
}
.homepage-note-wrapper {
	padding: 10px;
}
.homepage-note-close {
	padding: 0 0 8px 8px;
	cursor: pointer;
}
.homepage-note .fa-wrap > i:before {
	color: #666;
	font-size: 32px;
	margin: 10px 4px;
}
.homepage-note .homepage-note-msg {
	margin: 0 8px 0 48px;
}
.homepage-note .homepage-note-msg > p {
	padding: 0 0 8px 0;
}
